using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using System;
using System.Threading.Tasks;

namespace Bailun.DC.MonthSaleProfit
{
    class Program
    {
        static async Task Main(string[] args)
        {
            Console.WriteLine("启动服务 " + DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss"));
            var builder = new HostBuilder().ConfigureServices((hostContext, services) =>
            {
                services.AddHostedService<Services>();
            });

            await builder.RunConsoleAsync();
        }

        //static void Main(string[] args)
        //{
        //    var _services = new Services();

        //    var start = DateTime.Parse("2021-3-01");
        //    //_services.Init(start);
        //    _services.InitNew(start);
        //    //_services.InitNew4K(start);
        //    //_services.InitNew4K(start);
        //}
    }
}
